classification
Title: Mention coverage.py in trace module documentation
Type: enhancement Stage: resolved
Components: Documentation Versions: Python 3.7, Python 3.6
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: brett.cannon Nosy List: brett.cannon, docs@python, marco.buttu
Priority: normal Keywords: patch

Created on 2017-02-06 03:39 by brett.cannon, last changed 2017-03-24 23:02 by brett.cannon. This issue is now closed.

Files
File name Uploaded Description Edit
issue29455.patch marco.buttu, 2017-02-06 08:54
issue29455_2nd.patch marco.buttu, 2017-02-06 18:05
Pull Requests
URL Status Linked Edit
PR 261 merged marco.buttu, 2017-02-23 21:06
PR 435 merged brett.cannon, 2017-03-03 20:46
Messages (7)
msg287075 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2017-02-06 03:39
In the trace module it would be nice to also mention that coverage.py is available.
msg287107 - (view) Author: Marco Buttu (marco.buttu) * Date: 2017-02-06 08:54
I added a "seealso" at the end of the page.
msg287159 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2017-02-06 17:38
Thanks for the patch, Marco! Typically we put the mention at the top to give the 3rd-party library a better chance of being noticed (see the urllib.request docs to see how requests is mentioned).
msg287161 - (view) Author: Marco Buttu (marco.buttu) * Date: 2017-02-06 18:05
Thank you Brett, here is another patch. I added the seealso directive right after the introduction of the trace module, in the same way as urllib.request does for requests.
msg288927 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2017-03-03 21:01
Thanks for the PR, Marco!
msg290323 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2017-03-24 23:02
New changeset 9d07aceedabcdc9826489f8b9baffff056283bb3 by Brett Cannon in branch '3.6':
bpo-29455: Mention coverage.py in trace module documentation (GH-435)
https://github.com/python/cpython/commit/9d07aceedabcdc9826489f8b9baffff056283bb3
msg290325 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2017-03-24 23:02
New changeset 5dfccb06dc513ae67fac5fee66356ad58a4de170 by Brett Cannon (Marco Buttu) in branch 'master':
bpo-29455: Mention coverage.py in trace module documentation (#261)
https://github.com/python/cpython/commit/5dfccb06dc513ae67fac5fee66356ad58a4de170
History
Date User Action Args
2017-03-24 23:02:45brett.cannonsetmessages: + msg290325
2017-03-24 23:02:25brett.cannonsetmessages: + msg290323
2017-03-03 21:01:05brett.cannonsetstatus: open -> closed
resolution: fixed
messages: + msg288927

stage: patch review -> resolved
2017-03-03 20:46:14brett.cannonsetpull_requests: + pull_request361
2017-02-27 14:49:38berker.peksagsetstage: patch review
versions: + Python 3.6, Python 3.7
2017-02-23 21:06:00marco.buttusetpull_requests: + pull_request233
2017-02-06 18:05:14marco.buttusetfiles: + issue29455_2nd.patch

messages: + msg287161
2017-02-06 17:38:57brett.cannonsetassignee: docs@python -> brett.cannon
messages: + msg287159
2017-02-06 08:54:28marco.buttusetfiles: + issue29455.patch

nosy: + marco.buttu
messages: + msg287107

keywords: + patch
2017-02-06 03:39:07brett.cannoncreate